Name:           @PACKAGE@
Version:        @VERSION@
Release:        1%{?dist}
Summary:        Gingerblue is Free Music Software for GNOME
License:        GPLv3+
URL:            http://www.gingerblue.org/
Source:         https://download.gnome.org/sources/%{name}/0.1/%{name}-%{version}.tar.xz

BuildRequires:  gtk4-devel
BuildRequires:  pango
BuildRequires:  libchamplain-devel
BuildRequires:  libxml2-devel
BuildRequires:  intltool
BuildRequires:  itstool
BuildRequires:  libappstream-glib
BuildRequires:  desktop-file-utils
BuildRequires:  geocode-glib-devel
BuildRequires:  gstreamer-devel
BuildRequires:  gstreamer1-plugins-bad-free-devel
BuildRequires:  gstreamer1-plugins-base-devel
Requires:       gstreamer1 >= 1.8.3
Requires:       gstreamer1-plugins-ugly-free >= 1.8.3
Requires:       geocode-glib >= 3.20.1

%description
Gingerblue is Free Music Software for GTK+/GNOME

It supports audio.

%prep
%setup -q

%build
%configure --with-recording --disable-silent-rules --disable-schemas
%make_build
%install
%make_install

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{name}.appdata.xml
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
%files -f %{name}.lang
%doc AUTHORS NEWS README TODO ChangeLog
%license COPYING
%{_bindir}/%{name}
%{_bindir}/gingerblue
%{_datadir}/%{name}/
%{_metainfodir}/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop

%changelog
* Wed Jan 23 2019 Ole Aamot <ole@gnome.org> - 0.1.2-0
- Fix appdata for F28

* Mon Dec 31 2018 Ole Aamot <ole@gnome.org> - 0.1.1-0
- Package of second release

* Sun Aug 12 2018 Ole Aamot <ole@gnome.org> - 0.1.0-0
- Package of initial release
